TAIL(1)

BEZEICHNUNG
tail - Den letzten Teil von Dateien ausgeben

ÜBERSICHT
tail [OPTION]… [DATEI]…

BESCHREIBUNG

Die letzten 10 Zeilen jeder DATEI auf der Standardausgabe ausgeben. Wurden mehrere DATEIen angegeben, wird für jede zunächst der Dateiname ausgeben.

liest ohne DATEI oder wenn DATEI - ist, aus der Standardeingabe.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-c, --bytes=K
    Die letzten K Byte ausgeben; alternativ -c +K benutzen, um Bytes ab dem K-ten jeder Datei auszugeben

-f, --follow[={Name|Deskriptor}]
    Angehängte Daten ausgeben, wenn die Datei wächst;

    ein fehlendes Optionsargument bedeutet »Deskriptor«

-F  Gleichbedeutend mit »--follow=NAME --retry«

-n, --lines=K
    Die letzten K Zeilen ausgeben statt der letzten 10; oder -n +K, um K-1 Zeilen ab dem Beginn zu überspringen

--max-unchanged-stats=N
    Mit --follow=NAME die DATEI erneut öffnen, wenn sie

    nach N Iterationen (Vorgabe: 5) unverändert ist, um zu sehen, ob sie gelöscht oder umbenannt wurde (das ist normalerweise bei rotierten Protokolldateien der Fall). Mit inotify ist diese Option nur selten nützlich.

--pid=PID
    Mit -f, nach Prozesskennung beenden, PID wird beendet

-q, --quiet, --silent
    Nie Kopfzeilen mit Dateinamen ausgeben

--retry
    Versuchen, eine Datei zu öffnen, falls sie unerreichbar ist

-s, --sleep-interval=N
    Mit -f, zwischen Iterationen etwa N Sekunden (Voreinstellung: 1.0) schlafen legen. Mit inotify und --pid=P wird der Prozess P mindestens einmal alle N Sekunden überprüft.

-v, --verbose
    Immer Kopfzeilen mit Dateinamen ausgeben

-z, --zero-terminated
    Zeilen mit Nullbyte (NUL) trennen, nicht mit Zeilenumbruch

--help
    zeigt Hilfeinformationen an und beendet das Programm.

--version
    gibt Versionsinformationen aus und beendet das Programm.

K kann folgende multiplikative Endungen tragen: b 512, kB 1000, K 1024, MB 1000*1000, M 1024*1024, GB 1000*1000*1000, G 1024*1024*1024, und so weiter für T, P, E, Z, Y, R, Q. Es können auch binäre Präfixe verwendet werden: KiB=K, MiB=M und so weiter.

Mit --follow (-f) verfolgt Tail den Datei‐Deskriptor. Dies bedeutet, dass auch im Falle einer Umbenennung der Datei Tail deren Ende verfolgen wird. Dieses Standardverhalten ist nicht erwünscht, wenn wirklich der tatsächliche Name der Datei verfolgen werden soll und nicht den Datei‐Deskriptor (z.B. bei Rotation der Protokolldateien). Benutzen Sie in diesem Fall --follow=NAME. Dies veranlasst Tail, die genannte Datei auf eine Art zu verfolgen, die sich daran anpasst, dass umbenannt, entfernt oder erstellt wird.

AUTOR
Geschrieben von Paul Rubin, David MacKenzie, Ian Lance Taylor und Jim Meyering.

FEHLER MELDEN
Onlinehilfe für GNU coreutils: https://www.gnu.org/software/coreutils/
Melden Sie Fehler in der Übersetzung an das deutschsprachige Team beim GNU Translation Project (https://translationproject.org/team/de.html).

COPYRIGHT
Copyright © 2023 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 (https://gnu.org/licenses/gpl.html) oder neuer.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
head(1)

Vollständige Dokumentation unter: <https://www.gnu.org/software/coreutils/tail>
oder lokal verfügbar mit: info '(coreutils) tail invocation'

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Piefel <piefel@debian.org>, Michael Schmidt <michael@guug.de>, Chris Leick <c.leick@vollbio.de>, Dr. Tobias Quathamer <toddy@debian.org> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).